Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util
Class LRUMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap
                  org.hibernate.util.LRUMap

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class LRUMap

extends LinkedHashMap
implements Serializable

A simple LRU cache that implements the `Map` interface. Instances are not thread-safe and should be synchronized externally, for instance by using `Collections.synchronizedMap(java.util.Map)`.

Author:
  Manuel Dominguez Sarmiento
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`LRUMap(int maxEntries)`

Method Summary
`protected boolean` | `removeEldestEntry(Map.Entry eldest)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### LRUMap

    public LRUMap(int maxEntries)

Method Detail

### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry eldest)

  Overrides:
    `removeEldestEntry` in class `LinkedHashMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.